Last Comment Bug 749573 - "make install" doesn't install xpcshell and run-mozilla.sh in the SDK
: "make install" doesn't install xpcshell and run-mozilla.sh in the SDK
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla15
Assigned To: Mike Hommey [:glandium]
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 743560
  Show dependency treegraph
 
Reported: 2012-04-27 05:16 PDT by Mike Hommey [:glandium]
Modified: 2012-05-04 02:19 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
fixed


Attachments
Declare run-mozilla.sh and xpcshell as SDK_BINARY (1.10 KB, patch)
2012-04-27 05:18 PDT, Mike Hommey [:glandium]
ted: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2012-04-27 05:16:23 PDT
bug 743560 made them part of the SDK instead of xulrunner. make make-sdk ships them, but make install doesn't.

As a side note, run-mozilla.sh is not shipped in xulrunner, maybe it shouldn't be shipped in Firefox either.
Comment 1 Mike Hommey [:glandium] 2012-04-27 05:18:21 PDT
Created attachment 618992 [details] [diff] [review]
Declare run-mozilla.sh and xpcshell as SDK_BINARY
Comment 4 Mike Hommey [:glandium] 2012-05-02 23:05:56 PDT
Comment on attachment 618992 [details] [diff] [review]
Declare run-mozilla.sh and xpcshell as SDK_BINARY

[Approval Request Comment]
Regression caused by: bug 743560 
User impact if declined: People using make install (mostly, Linux distros) won't have run-mozilla.sh and xpcshell installed with SDK.
Testing completed (on m-c, etc.): Landed on m-c a couple days ago.
Risk to taking this patch (and alternatives if risky): None.
String changes made by this patch: None.
Comment 5 Alex Keybl [:akeybl] 2012-05-03 09:24:11 PDT
Comment on attachment 618992 [details] [diff] [review]
Declare run-mozilla.sh and xpcshell as SDK_BINARY

[Triage Comment]
Low risk fix in support of local builds.
Comment 6 Mike Hommey [:glandium] 2012-05-04 02:19:27 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/f9241d246616

Note You need to log in before you can comment on or make changes to this bug.